# Assuming that your Python has a working re (? >= 1.5.2 ?).
# If your Python is prehistoric, then define %pyver by hand.
# Accept e.g. %pyver = 1.5.2, but chop a trailing a1, b1, a2, b2, ..
%{expand: %%define pyver %(python -c 'import re, sys; print re.search("^\d(\.\d)+", sys.version).group(0)')}
%{expand: %%define pydir %(python -c 'import sys; print sys.version[:3]')}

%define name	PyQt
%define version	3.0
%define release	1mgv

%define qtver	3.0.0


Summary:	Python bindings for Qt.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL-like
Group:		Development/Python
Source:		http://ftp.thekompany.com/PyQt/%{name}-%{version}pre5-Qt-%{qtver}.tar.bz2
URL:		http://www.thekompany.com/projects
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	sip = %{version}, python = %{pyver}
Requires:	python = %{pyver}, sip = %{version}, libtool = 1.4

%description
Python bindings for the Qt C++ class library.  Also includes a PyQt backend
code generator for Qt Designer and a debugger and the SIP specification files
for the Qt class library.

%prep
%setup -n %{name}-%{version}pre5

%build
#export LDFLAGS="-L%{buildroot}%{prefix}/lib/python2.1/site-packages"
%configure --with-qt-dir=/usr/lib/qt3

# make sip(qt[a-z]*)Version.h first, because the build chokes on my SMP machine
(cd qt; make sipqtVersion.h)
(cd qtcanvas; make sipqtcanvasVersion.h)
(cd qtgl; make sipqtglVersion.h)
(cd qtnetwork; make sipqtnetworkVersion.h)
(cd qtsql; make sipqtsqlVersion.h)
(cd qttable; make sipqttableVersion.h)
(cd qtxml; make sipqtxmlVersion.h)
%make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} SUBDIRS="qt doc pyuic debugger" install install-sip
for i in qtgl qtcanvas qtnetwork qtsql qttable qtxml; do
	(cd ${i}/.libs;
 	install -c lib${i}cmodule-%{version}.so \
 	%{buildroot}%{_libdir}/python%{pydir}/site-packages)
	(cd %{buildroot}%{_libdir}/python%{pydir}/site-packages;
 	ln -sf lib${i}cmodule-%{version}.so lib${i}cmodule.so)
	(cd ${i};
 	install -c -m 644 ${i}.py %{buildroot}%{_libdir}/python%{pydir}/site-packages
 	make DESTDIR=%{buildroot} install-data-hook)
done

# remove *.la, because C++ static constructors and libtool-1.4...
rm %{buildroot}/%{_libdir}/python*/site-packages/libqt*cmodule*.la

%clean
#rm -rf %{buildroot}

%files
%defattr(-, root, root, 755)
%doc NEWS README doc/PyQt examples
%{_bindir}/*
%{_datadir}/sip/qt
%{_libdir}/python*/site-packages/eric
%{_libdir}/python*/site-packages/libqtcanvascmodule*.so
%{_libdir}/python*/site-packages/libqtcmodule*.so
%{_libdir}/python*/site-packages/libqtglcmodule*.so
%{_libdir}/python*/site-packages/libqtnetworkcmodule*.so
%{_libdir}/python*/site-packages/libqtsqlcmodule*.so
%{_libdir}/python*/site-packages/libqttablecmodule*.so
%{_libdir}/python*/site-packages/libqtxmlcmodule*.so
%{_libdir}/python*/site-packages/qt.py*
%{_libdir}/python*/site-packages/qtcanvas.py*
%{_libdir}/python*/site-packages/qtgl.py*
%{_libdir}/python*/site-packages/qtnetwork.py*
%{_libdir}/python*/site-packages/qtsql.py*
%{_libdir}/python*/site-packages/qttable.py*
%{_libdir}/python*/site-packages/qtxml.py*


%changelog
* Thu Nov  1 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 3.0-1mgv
- 3.0pre5

* Thu Oct  4 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.5-4mgv
- merge PyQt and PyQt-devel (undo Mandrake split of package)

* Mon Aug 27 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.5-3mgv
- python-2.1.1

* Thu Aug 16 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.5-2mgv
- %%{name}-%%{version}-Qt-%%{qtver}.tar.bz2
- version 2.5

* Sat Jun  9 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.5-1mgv
- have to install libqtglcmodule-2.5.so manually
- make sip(qt|qtgl)Version.h first, because build chokes on my SMP machine
- version 2.5pre1

* Mon May 28 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.4-6mgv
- remove *.la, because C++ static constructors and libtool-1.4...

* Sun May 27 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.4-5mgv
- build with libtool-1.4 exposed bug in sip.spec: CHECK paths in *.la files

* Mon Apr 23 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.4-4mgv
- 2.4

* Thu Apr 10 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.4-3mgv
- 2.4pre2

* Fri Apr 06 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.4-2mgv
- merge David BAUDENS split of sip into sip, libsipMAJOR and libsipMAJOR-devel
- tweak BuildRequires and Requires
 
* Sun Mar 25 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.4-1mgv
- 2.4pre1 for python-2.1

* Sun Feb 04 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.3-2mgv
- tweak %%files

* Tue Oct 10 2000 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.2-1mgv
- mandrakization for 7.2

# EOF
