%define name	qt3
%define version	3.0.0
%define release	1mgv
%define qtdir	%{_libdir}/%{name}

Summary:	The Qt3 GUI toolkit
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source0:	ftp://ftp.troll.no/qt/source/qt-x11-free-%{version}.tar.bz2
#Patch0:		qt2-configs-linux-g++-shared-without-rpath.bz2
#Patch1:         qt-2.3.0-printing.patch.bz2 
License:	GPL & QPL
Group:		Development/KDE and QT
URL:		http://www.trolltech.com/products/qt.html
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	gcc-c++, libstdc++, libstdc++-devel, glibc-devel, XFree86-devel, libjpeg62-devel, libmng1-devel,  libpng2-devel, libungif4-devel, zlib1-devel

%description
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for the X Windows system.
It has everything you need to create professional GUI applications. 
And it enables you to create them quickly.
Qt is multi-platform toolkit written in C++ and is fully object-oriented. 
This package contains the shared library needed to run Qt3 applications, as
well as the README files for Qt.

%prep

%setup -q -n qt-x11-free-%version
#%patch0 -p1
#%patch1 -p1

%build
export QTDIR=$(/bin/pwd)
export LD_LIBRARY_PATH="$QTDIR/lib:$LD_LIBRARY_PATH"

perl -pi -e "s/-O2/$RPM_OPT_FLAGS/g" mkspecs/*/qmake.conf

# build only a shared library
./configure \
        -prefix %{buildroot}%{_libdir}/%{name} \
	-release \
        -shared \
	-qt-gif -system-zlib -system-libpng -system-libmng -system-libjpeg \
	-no-g++-exceptions \
	-thread \
	-sm -xinerama -xrender -xft -xkb <<EOF
yes
EOF

%make src-qmake src-moc sub-src sub-tools

for i in makeqpf mergetr msg2qm qconfig; do
	make -C tools/$i
        strip -R .comment tools/$i/$i
done


%install
rm -rf %{buildroot}

export QTDIR=$(/bin/pwd)
%make install
for i in makeqpf mergetr msg2qm qconfig; do
        install -m 755 tools/$i/$i %{buildroot}%{_libdir}/%{name}/bin
done
for i in findtr qt20fix qtrename140; do
	install -m 755 bin/$i %{buildroot}%{_libdir}/%{name}/bin
done

# Add missing links
(
cd %{buildroot}%_libdir
ln -sf libeditor.so.1.0.0 %{buildroot}%{_libdir}/%{name}/lib/libeditor.so.1.0
ln -sf libeditor.so.1.0.0 %{buildroot}%{_libdir}/%{name}/lib/libeditor.so.1
ln -sf libeditor.so.1.0.0 %{buildroot}%{_libdir}/%{name}/lib/libeditor.so
ln -sf libqt-mt.so.3.0.0 %{buildroot}%{_libdir}/%{name}/lib/libqt-mt.so.3.0
ln -sf libqt-mt.so.3.0.0 %{buildroot}%{_libdir}/%{name}/lib/libqt-mt.so.3
ln -sf libqt-mt.so.3.0.0 %{buildroot}%{_libdir}/%{name}/lib/libqt-mt.so
ln -sf libqui.so.1.0.0 %{buildroot}%{_libdir}/%{name}/lib/libqui.so.1.0
ln -sf libqui.so.1.0.0 %{buildroot}%{_libdir}/%{name}/lib/libqui.so.1
ln -sf libqui.so.1.0.0 %{buildroot}%{_libdir}/%{name}/lib/libqui.so
)

(
ln -s qt3/lib/libeditor.so.1.0.0 %{buildroot}%{_libdir}/libeditor.so.1.0.0
ln -s qt3/lib/libqt-mt.so.3.0.0 %{buildroot}%{_libdir}/libqt-mt.so.3.0.0
ln -s qt3/lib/libqui.so.1.0.0 %{buildroot}%{_libdir}/libqui.so.1.0.0
)

(
cd %{buildroot}%{_libdir}
ln -s libeditor.so.1.0.0 libeditor.so.1.0
ln -s libeditor.so.1.0.0 libeditor.so.1
ln -s libeditor.so.1.0.0 libeditor.so
ln -s libqt-mt.so.3.0.0 libqt-mt.so.3.0
ln -s libqt-mt.so.3.0.0 libqt-mt.so.3
#ln -s libqt-mt.so.3.0.0 libqt-mt.so # conflicts with libqt2-devel
ln -s libqui.so.1.0.0 libqui.so.1.O
ln -s libqui.so.1.0.0 libqui.so.1
ln -s libqui.so.1.0.0 libqui.so
)

# stuff for qt-designer
mkdir -p $RPM_BUILD_ROOT%{qtdir}/tools/designer/pics
cp -arf tools/designer/pics/* %{buildroot}%{qtdir}/tools/designer/pics/

# Create menu entry for Qt Designer
install -d 644 %buildroot/%_menudir
cat <<EOF > %buildroot/%_menudir/qt3-designer
?package(%{name}-designer): needs=X11 \
section="Applications/Development/Development environments" \
title="QT3 Designer" \
longtitle="A graphical application interface designer for Qt3" \
command="%_libdir/qt3/bin/designer" \
icon="%_libdir/qt3/tools/designer/pics/small/qtlogo.png"
EOF

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
#rm -fr %{buildroot}

%files 
%defattr(-, root, root, -)
%doc ANNOUNCE FAQ INSTALL LICENSE.GPL LICENSE.QPL README changes*
%{_libdir}/*.so*
%{_menudir}/*
%{qtdir}/bin/assistant
%{qtdir}/bin/designer
%{qtdir}/bin/findtr
%{qtdir}/bin/linguist
%{qtdir}/bin/lrelease
%{qtdir}/bin/lupdate
%{qtdir}/bin/makeqpf
%{qtdir}/bin/mergetr
%{qtdir}/bin/moc
%{qtdir}/bin/msg2qm
%{qtdir}/bin/qconfig
%{qtdir}/bin/qm2ts
%{qtdir}/bin/qmake
%{qtdir}/bin/qt20fix
%{qtdir}/bin/qtrename140
%{qtdir}/bin/uic
%{qtdir}/doc/html/*
%{qtdir}/include/*.h
%{qtdir}/include/private/*.h
%{qtdir}/lib/lib*.so*
%{qtdir}/mkspecs/*/*
%{qtdir}/plugins/designer/*.so
%{qtdir}/tools/designer/pics
%{qtdir}/tools/designer/templates/*


%changelog
* Sun Oct 21 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 3.0.0-1mgv
- first attempt to package Qt-3.0.0
