# Assuming that your Python has a working re (? >= 1.5.2 ?).
# If your Python is prehistoric, then define %pyver by hand.
# Accept e.g. %pyver = 1.5.2, but chop a trailing a1, b1, a2, b2, ..
%{expand: %%define pyver %(python -c 'import re, sys; print re.search("^\d(\.\d)+", sys.version).group(0)')}
%{expand: %%define pydir %(python -c 'import sys; print sys.version[:3]')}

%define name	sip
%define version	3.0
%define release	1mgv

Summary:	Python bindings generator for C++ class libraries.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL-like
Group:		Development/Python
Source:		ftp://ftp.thekompany.com/sip/%{name}-%{version}pre5.tar.bz2
URL:		http://www.thekompany.com/projects
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	python = %{pyver}
BuildRequires:	python-devel = %{pyver} libtool = 1.4

%description
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a runtime support library needed by all
generated bindings.

%prep
%setup -n %{name}-%{version}pre5

%build
%configure --with-qt-dir=/usr/lib/qt3
%make

%install
rm -rf %{buildroot}
%makeinstall

# remove *.la, because C++ static constructors and libtool-1.4...
rm %{buildroot}/%{_libdir}/*.la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 755)
%doc AUTHORS COPYING NEWS README
%{_bindir}/sip
%{_includedir}/sip/sip.h
%{_includedir}/sip/sipQt.h
%{_libdir}/libsip.a
%{_libdir}/libsip.so*


%changelog
* Thu Nov  1 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 3.0-1mgv
- 3.0pre5

* Thu Oct  4 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.5-4mgv
- merge sip, libsip and libsip-devel (undo Mandrake split of package)

* Sun Aug 26 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.5-3mgv
- python-2.1.1

* Thu Aug 16 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.5-2mgv
- version 2.5

* Sat Jun  9 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.5-1mgv
- version 2.5pre1

* Mon May 28 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.4-6mgv
- remove *.la, because C++ static constructors and libtool-1.4...

* Sun May 27 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.4-5mgv
- build with libtool-1.4 exposed forgotten %%make in %%build stage
- remove keyword argument patch

* Mon Apr 23 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.4-4mgv
- 2.4

* Tue Apr 10 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.4-3mgv
- 2.4pre3

* Fri Apr 06 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.4-2mgv
- merge and tweak David BAUDENS split into sip, %{libname} and %{libname}-devel
- NOTE: the keyword argument patch is a hack (but it does not break anything).

* Sun Mar 25 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.4-1mgv
- 2.4pre2 for python-2.1
- tweak expansion %%{pyver} = %{pyver}

* Sun Mar 18 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.3-3mgv
- patch sip for to generate code for keyword argument parsing
- expand %%{pyver} = %{pyver} automagically

* Sun Feb 04 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.3-2mgv
- added rm -rf %{buildroot} after %%install
- tweak %%files

* Mon Nov 06 2000 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 2.2-1mgv
- built on Mandrake-7.2 following Mandrake RPM guidelines

# EOF
